--- java/src/org/apache/env/Which.java
+++ java/src/org/apache/env/Which.java
@@ -289,12 +289,12 @@
         if (null == hash)
             return;
 
-        Enumeration enum = hash.keys();
+        Enumeration enum2 = hash.keys();
         Vector v = new Vector();
 
-        while (enum.hasMoreElements())
+        while (enum2.hasMoreElements())
         {
-            Object key = enum.nextElement();
+            Object key = enum2.nextElement();
             String keyStr = key.toString();
             Object item = hash.get(key);
 
@@ -311,12 +311,12 @@
             }
         }
 
-        enum = v.elements();
+        enum2 = v.elements();
 
-        while (enum.hasMoreElements())
+        while (enum2.hasMoreElements())
         {
-            String n = (String) enum.nextElement();
-            Hashtable h = (Hashtable) enum.nextElement();
+            String n = (String) enum2.nextElement();
+            Hashtable h = (Hashtable) enum2.nextElement();
 
             reportHashtable(h, n, out);
         }
--- java/src/org/apache/xml/resolver/Catalog.java
+++ java/src/org/apache/xml/resolver/Catalog.java
@@ -451,9 +451,9 @@
       mapArr.add(null);
     }
 
-    Enumeration enum = readerMap.keys();
-    while (enum.hasMoreElements()) {
-      String mimeType = (String) enum.nextElement();
+    Enumeration enum2 = readerMap.keys();
+    while (enum2.hasMoreElements()) {
+      String mimeType = (String) enum2.nextElement();
       Integer pos = (Integer) readerMap.get(mimeType);
       mapArr.set(pos.intValue(), mimeType);
     }
@@ -1064,9 +1064,9 @@
     }
 
     // Parse all the DELEGATE catalogs
-    Enumeration enum = catalogEntries.elements();
-    while (enum.hasMoreElements()) {
-      CatalogEntry e = (CatalogEntry) enum.nextElement();
+    Enumeration enum2 = catalogEntries.elements();
+    while (enum2.hasMoreElements()) {
+      CatalogEntry e = (CatalogEntry) enum2.nextElement();
       if (e.getEntryType() == DELEGATE_PUBLIC
 	  || e.getEntryType() == DELEGATE_SYSTEM
 	  || e.getEntryType() == DELEGATE_URI) {
@@ -1140,9 +1140,9 @@
 
     // If there's a DOCTYPE entry in this catalog, use it
     boolean over = default_override;
-    Enumeration enum = catalogEntries.elements();
-    while (enum.hasMoreElements()) {
-      CatalogEntry e = (CatalogEntry) enum.nextElement();
+    Enumeration enum2 = catalogEntries.elements();
+    while (enum2.hasMoreElements()) {
+      CatalogEntry e = (CatalogEntry) enum2.nextElement();
       if (e.getEntryType() == OVERRIDE) {
 	over = e.getEntryArg(0).equalsIgnoreCase("YES");
 	continue;
@@ -1178,9 +1178,9 @@
 
     Debug.message(3, "resolveDocument");
 
-    Enumeration enum = catalogEntries.elements();
-    while (enum.hasMoreElements()) {
-      CatalogEntry e = (CatalogEntry) enum.nextElement();
+    Enumeration enum2 = catalogEntries.elements();
+    while (enum2.hasMoreElements()) {
+      CatalogEntry e = (CatalogEntry) enum2.nextElement();
       if (e.getEntryType() == DOCUMENT) {
 	return e.getEntryArg(1); //FIXME check this
       }
@@ -1253,9 +1253,9 @@
 
     // If there's a ENTITY entry in this catalog, use it
     boolean over = default_override;
-    Enumeration enum = catalogEntries.elements();
-    while (enum.hasMoreElements()) {
-      CatalogEntry e = (CatalogEntry) enum.nextElement();
+    Enumeration enum2 = catalogEntries.elements();
+    while (enum2.hasMoreElements()) {
+      CatalogEntry e = (CatalogEntry) enum2.nextElement();
       if (e.getEntryType() == OVERRIDE) {
 	over = e.getEntryArg(0).equalsIgnoreCase("YES");
 	continue;
@@ -1339,9 +1339,9 @@
 
     // If there's a NOTATION entry in this catalog, use it
     boolean over = default_override;
-    Enumeration enum = catalogEntries.elements();
-    while (enum.hasMoreElements()) {
-      CatalogEntry e = (CatalogEntry) enum.nextElement();
+    Enumeration enum2 = catalogEntries.elements();
+    while (enum2.hasMoreElements()) {
+      CatalogEntry e = (CatalogEntry) enum2.nextElement();
       if (e.getEntryType() == OVERRIDE) {
 	over = e.getEntryArg(0).equalsIgnoreCase("YES");
 	continue;
@@ -1498,9 +1498,9 @@
 
     // If there's a PUBLIC entry in this catalog, use it
     boolean over = default_override;
-    Enumeration enum = catalogEntries.elements();
-    while (enum.hasMoreElements()) {
-      CatalogEntry e = (CatalogEntry) enum.nextElement();
+    Enumeration enum2 = catalogEntries.elements();
+    while (enum2.hasMoreElements()) {
+      CatalogEntry e = (CatalogEntry) enum2.nextElement();
       if (e.getEntryType() == OVERRIDE) {
 	over = e.getEntryArg(0).equalsIgnoreCase("YES");
 	continue;
@@ -1516,10 +1516,10 @@
 
     // If there's a DELEGATE_PUBLIC entry in this catalog, use it
     over = default_override;
-    enum = catalogEntries.elements();
+    enum2 = catalogEntries.elements();
     Vector delCats = new Vector();
-    while (enum.hasMoreElements()) {
-      CatalogEntry e = (CatalogEntry) enum.nextElement();
+    while (enum2.hasMoreElements()) {
+      CatalogEntry e = (CatalogEntry) enum2.nextElement();
       if (e.getEntryType() == OVERRIDE) {
 	over = e.getEntryArg(0).equalsIgnoreCase("YES");
 	continue;
@@ -1624,9 +1624,9 @@
 
     String osname = System.getProperty("os.name");
     boolean windows = (osname.indexOf("Windows") >= 0);
-    Enumeration enum = catalogEntries.elements();
-    while (enum.hasMoreElements()) {
-      CatalogEntry e = (CatalogEntry) enum.nextElement();
+    Enumeration enum2 = catalogEntries.elements();
+    while (enum2.hasMoreElements()) {
+      CatalogEntry e = (CatalogEntry) enum2.nextElement();
       if (e.getEntryType() == SYSTEM
 	  && (e.getEntryArg(0).equals(systemId)
 	      || (windows
@@ -1636,11 +1636,11 @@
     }
 
     // If there's a REWRITE_SYSTEM entry in this catalog, use it
-    enum = catalogEntries.elements();
+    enum2 = catalogEntries.elements();
     String startString = null;
     String prefix = null;
-    while (enum.hasMoreElements()) {
-      CatalogEntry e = (CatalogEntry) enum.nextElement();
+    while (enum2.hasMoreElements()) {
+      CatalogEntry e = (CatalogEntry) enum2.nextElement();
 
       if (e.getEntryType() == REWRITE_SYSTEM) {
 	String p = (String) e.getEntryArg(0);
@@ -1662,10 +1662,10 @@
     }
 
     // If there's a DELEGATE_SYSTEM entry in this catalog, use it
-    enum = catalogEntries.elements();
+    enum2 = catalogEntries.elements();
     Vector delCats = new Vector();
-    while (enum.hasMoreElements()) {
-      CatalogEntry e = (CatalogEntry) enum.nextElement();
+    while (enum2.hasMoreElements()) {
+      CatalogEntry e = (CatalogEntry) enum2.nextElement();
 
       if (e.getEntryType() == DELEGATE_SYSTEM) {
 	String p = (String) e.getEntryArg(0);
@@ -1759,9 +1759,9 @@
    */
   protected String resolveLocalURI(String uri)
     throws MalformedURLException, IOException {
-    Enumeration enum = catalogEntries.elements();
-    while (enum.hasMoreElements()) {
-      CatalogEntry e = (CatalogEntry) enum.nextElement();
+    Enumeration enum2 = catalogEntries.elements();
+    while (enum2.hasMoreElements()) {
+      CatalogEntry e = (CatalogEntry) enum2.nextElement();
       if (e.getEntryType() == URI
 	  && (e.getEntryArg(0).equals(uri))) {
 	return e.getEntryArg(1);
@@ -1769,11 +1769,11 @@
     }
 
     // If there's a REWRITE_URI entry in this catalog, use it
-    enum = catalogEntries.elements();
+    enum2 = catalogEntries.elements();
     String startString = null;
     String prefix = null;
-    while (enum.hasMoreElements()) {
-      CatalogEntry e = (CatalogEntry) enum.nextElement();
+    while (enum2.hasMoreElements()) {
+      CatalogEntry e = (CatalogEntry) enum2.nextElement();
 
       if (e.getEntryType() == REWRITE_URI) {
 	String p = (String) e.getEntryArg(0);
@@ -1795,10 +1795,10 @@
     }
 
     // If there's a DELEGATE_URI entry in this catalog, use it
-    enum = catalogEntries.elements();
+    enum2 = catalogEntries.elements();
     Vector delCats = new Vector();
-    while (enum.hasMoreElements()) {
-      CatalogEntry e = (CatalogEntry) enum.nextElement();
+    while (enum2.hasMoreElements()) {
+      CatalogEntry e = (CatalogEntry) enum2.nextElement();
 
       if (e.getEntryType() == DELEGATE_URI) {
 	String p = (String) e.getEntryArg(0);
--- java/src/org/apache/xml/resolver/Resolver.java
+++ java/src/org/apache/xml/resolver/Resolver.java
@@ -215,9 +215,9 @@
       return resolved;
     }
 
-    Enumeration enum = catalogEntries.elements();
-    while (enum.hasMoreElements()) {
-      CatalogEntry e = (CatalogEntry) enum.nextElement();
+    Enumeration enum2 = catalogEntries.elements();
+    while (enum2.hasMoreElements()) {
+      CatalogEntry e = (CatalogEntry) enum2.nextElement();
       if (e.getEntryType() == RESOLVER) {
 	resolved = resolveExternalSystem(uri, e.getEntryArg(0));
 	if (resolved != null) {
@@ -272,9 +272,9 @@
       return resolved;
     }
 
-    Enumeration enum = catalogEntries.elements();
-    while (enum.hasMoreElements()) {
-      CatalogEntry e = (CatalogEntry) enum.nextElement();
+    Enumeration enum2 = catalogEntries.elements();
+    while (enum2.hasMoreElements()) {
+      CatalogEntry e = (CatalogEntry) enum2.nextElement();
       if (e.getEntryType() == RESOLVER) {
 	resolved = resolveExternalSystem(systemId, e.getEntryArg(0));
 	if (resolved != null) {
@@ -334,9 +334,9 @@
       return resolved;
     }
 
-    Enumeration enum = catalogEntries.elements();
-    while (enum.hasMoreElements()) {
-      CatalogEntry e = (CatalogEntry) enum.nextElement();
+    Enumeration enum2 = catalogEntries.elements();
+    while (enum2.hasMoreElements()) {
+      CatalogEntry e = (CatalogEntry) enum2.nextElement();
       if (e.getEntryType() == RESOLVER) {
 	if (systemId != null) {
 	  resolved = resolveExternalSystem(systemId,
@@ -575,9 +575,9 @@
 	Vector map = new Vector();
 	String osname = System.getProperty("os.name");
 	boolean windows = (osname.indexOf("Windows") >= 0);
-	Enumeration enum = catalogEntries.elements();
-	while (enum.hasMoreElements()) {
-	    CatalogEntry e = (CatalogEntry) enum.nextElement();
+	Enumeration enum2 = catalogEntries.elements();
+	while (enum2.hasMoreElements()) {
+	    CatalogEntry e = (CatalogEntry) enum2.nextElement();
 	    if (e.getEntryType() == SYSTEM
 		&& (e.getEntryArg(0).equals(systemId)
 		    || (windows
@@ -603,9 +603,9 @@
 	Vector map = new Vector();
 	String osname = System.getProperty("os.name");
 	boolean windows = (osname.indexOf("Windows") >= 0);
-	Enumeration enum = catalogEntries.elements();
-	while (enum.hasMoreElements()) {
-	    CatalogEntry e = (CatalogEntry) enum.nextElement();
+	Enumeration enum2 = catalogEntries.elements();
+	while (enum2.hasMoreElements()) {
+	    CatalogEntry e = (CatalogEntry) enum2.nextElement();
 	    if (e.getEntryType() == SYSTEM
 		&& (e.getEntryArg(1).equals(systemId)
 		    || (windows
